# Method: sellers.orders.lines.reserve

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/reserve#examples)

Reserves an existing line.

- Returns the updated line if successful.
- Returns error code `NOT_FOUND` if the line does not exist.
- Returns error code `INVALID_ARGUMENT` if lineTerms is not set.
- Returns error code `FAILED_PRECONDITION` if state is not `STATE_PENDING_RESERVATION`.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{name=sellers/*/orders/*/lines/*}:reserve`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The field will contain name of the line to be reserved, for example: "sellers/789/orders/123/lines/321" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineTerms": { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/LineTerms`) }, "reservationExpirationTime": string } ``` |

| Fields ||
|---|---|
| `lineTerms` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/LineTerms`)`` Required. The seller guaranteed terms for this line. |
| `reservationExpirationTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` Required. Expiration timestamp for the reservation. The buyer needs to book before a reservation expires. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines#Line`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).